### A free/open-source library for quantitative finance

Public Member Functions | Static Public Attributes
BackwardFlat Class Reference

Backward-flat interpolation factory and traits. More...

`#include <ql/math/interpolations/backwardflatinterpolation.hpp>`

List of all members.

## Public Member Functions

template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const

## Static Public Attributes

static const bool | global = false
static const Size | requiredPoints = 2

## Detailed Description

Backward-flat interpolation factory and traits.